Subject: Re: [PATCH 1/2] status: really ignore config with --porcelain

From: Matthieu Moy <[email-masked]>
Date: Mon, 24 Jun 2013 17:04:39 +0200

Junio C Hamano <[email-masked]> writes:

> My knee-jerk reaction is that, because the
> "--porcelain" output was designed to be extensible and scripts
> reading from it is expected to ignore what it does not understand,
> if the setting of status.branch is a problem, the reading side is
> buggy and needs to be fixed.

It is extensible in the sense that the caller can provide more
command-line options to get more output (i.e. say --branch --porcelain),
but providing different results for the same call because of the
configuration file is broken IMHO.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/